Package com.microblink.blinkid.results.date

# Class SimpleDate

java.lang.Object
com.microblink.blinkid.results.date.SimpleDate

public class SimpleDate extends Object
Simple class which represents immutable dates that are consisted of day, month and year.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleDate(int day, int month, int year)`
  Initializes the object with the given day, month and year.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getDay()`
  Returns day of the month, or `0` if date is partial and day is not known.
  `int`
  `getMonth()`
  Returns month of the year, or `0` if date is partial and month is not known.
  `int`
  `getYear()`
  Returns full year.
  `static SimpleDate`
  `parseFromString(String dateString, String pattern)`
  Creates `SimpleDate` instance by parsing the given `dateString`, by using the given `pattern` which describes the date format.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SimpleDate

    public SimpleDate(int day, int month, int year)
    Initializes the object with the given day, month and year.
    Parameters:
      `day` - Day of the month. The first day of the month has value 1.
      `month` - Month of the year. The first month of the year has value 1.
      `year` - Full year.

- ## Method Details

  - ### getDay

    public int getDay()
    Returns day of the month, or `0` if date is partial and day is not known.
    Returns:
      day of the month, or `0` if date is partial and day is not known. The first day of the month has value 1.

  - ### getMonth

    public int getMonth()
    Returns month of the year, or `0` if date is partial and month is not known.
    Returns:
      month of the year, or `0` if date is partial and month is not known. The first month of the year has value 1.

  - ### getYear

    public int getYear()
    Returns full year.
    Returns:
      full year.

  - ### parseFromString

    @Nullable public static SimpleDate parseFromString(@NonNull String dateString, @NonNull String pattern)
    Creates `SimpleDate` instance by parsing the given `dateString`, by using the given `pattern` which describes the date format.
    Parameters:
      `dateString` - A `String` whose beginning should be parsed.
      `pattern` - the pattern describing the date format, formatting is the same as in `SimpleDateFormat`.
    Returns:
      parsed date as `SimpleDate` instance, or `null` if the `dateString` cannot be parsed.
    Throws:
      `IllegalArgumentException` - if the given pattern is invalid

  - ### toString

    @NonNull public String toString()
    Overrides:
      `toString` in class `Object`